## export_bom

Type: component count list.

Exports Bill of Materials, which is a list of components to purchase for building the circuit, typically sorted by component type. Output format is controlled by user configured templates.

The templating system is the same as pcb-rnd's export_bom, with the following local differences:

- sym used instead of subc, e.g. "sym.a.device"; more generally, "subcircuit" replaced with "symbol"
- there's no %author% and %title%

### Attribute usage

Any attribute that is named by the template.

Extra attributes with export name are not exported, since the output is generated using templates that name attributes explicitly.

### Omit and DNP

The plugin will not export components and networks that have the display/omit or display/dnp attribute set.